org.jboss.resteasy.spi.metadata

## Class ResourceClass

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.ResourceClass

-     public class ResourceClass
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `clazz`
    `protected ResourceConstructor` | `constructor`
    `protected FieldParameter[]` | `fields`
    `protected String` | `path`
    `protected ResourceLocator[]` | `resourceLocators`
    `protected ResourceMethod[]` | `resourceMethods`
    `protected SetterParameter[]` | `setters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceClass(Class<?> clazz, String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Class<?>` | `getClazz()`
    `ResourceConstructor` | `getConstructor()`
    `FieldParameter[]` | `getFields()`
    `String` | `getPath()`
    `ResourceLocator[]` | `getResourceLocators()`
    `ResourceMethod[]` | `getResourceMethods()`
    `SetterParameter[]` | `getSetters()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clazz

          protected Class<?> clazz

    - #### fields

          protected FieldParameter[] fields

    - #### setters

          protected SetterParameter[] setters

    - #### resourceMethods

          protected ResourceMethod[] resourceMethods

    - #### resourceLocators

          protected ResourceLocator[] resourceLocators

    - #### constructor

          protected ResourceConstructor constructor

    - #### path

          protected String path

  - ### Constructor Detail

    - #### ResourceClass

          public ResourceClass(Class<?> clazz,
                       String path)

  - ### Method Detail

    - #### getPath

          public String getPath()

    - #### getClazz

          public Class<?> getClazz()

    - #### getConstructor

          public ResourceConstructor getConstructor()

    - #### getFields

          public FieldParameter[] getFields()

    - #### getSetters

          public SetterParameter[] getSetters()

    - #### getResourceMethods

          public ResourceMethod[] getResourceMethods()

    - #### getResourceLocators

          public ResourceLocator[] getResourceLocators()

Copyright © 2014. All Rights Reserved.